package com.qiankun.vo;

import java.util.Date;

public class UserVo {
	
	private String id;

	private String userCode;
    private String userName; 	  //用户名
    private String name;          //姓名
    private String gender;		//性别
    private String birthday;	//出生年月
    private String paperType;    //证件类型     1.身份证
    private String paperId;    //证件号
    private String nation;     //民族
    private String nativePlace;  //籍贯
    private String nationality;  //国籍
    private String education;    //学历
    private String domicilePlace; //户籍所在地
    private String addr;		//经常居住地
    private String unit;		//单位、学校
    private String unitAddr;	//单位、学校地址
    private String unitTel;	    //单位、学校电话
    private String profession;	//职业

    private String mobile;		  //本人手机
    private String email;		//邮箱
    private String tel;			  //固定电话
    private String qq;
    private String weixin;      //微信号
    private String openid;		//微信openid
    private Integer donateBloodCount;  //无偿献血次数
    private String bloodType;  //血型
    private Integer height;    //身高
    private Integer weight;    //体重
    
    private String remark;	//备注
    
    private String contactsName1;
    private String contactsQQ1;
    private String contactsRelation1;
    private String contactsWeixin1;
    private String contactsMobile1;
    private String contactsAddr1;
    private String contactsName2;
    private String contactsQQ2;
    private String contactsRelation2;
    private String contactsWeixin2;
    private String contactsMobile2;
    private String contactsAddr2;

    private String pwd;           //密码
    
    private String role;    	  //角色     1.管理员   2.志愿者  
    private String status;		//状态    0.未采血    1.已采血
    
    private String oldpwd;        //原密码
    private Boolean changePassword;
    private String searchStr;
    private String order;
    private String sort;
    
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	
	public String getPaperType() {
		return paperType;
	}
	public void setPaperType(String paperType) {
		this.paperType = paperType;
	}
	public String getPaperId() {
		return paperId;
	}
	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}
	public String getNation() {
		return nation;
	}
	public void setNation(String nation) {
		this.nation = nation;
	}
	public String getNativePlace() {
		return nativePlace;
	}
	public void setNativePlace(String nativePlace) {
		this.nativePlace = nativePlace;
	}
	public String getNationality() {
		return nationality;
	}
	public void setNationality(String nationality) {
		this.nationality = nationality;
	}
	public String getEducation() {
		return education;
	}
	public void setEducation(String education) {
		this.education = education;
	}
	public String getDomicilePlace() {
		return domicilePlace;
	}
	public void setDomicilePlace(String domicilePlace) {
		this.domicilePlace = domicilePlace;
	}
	public String getAddr() {
		return addr;
	}
	public void setAddr(String addr) {
		this.addr = addr;
	}
	public String getUnit() {
		return unit;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}
	public String getUnitAddr() {
		return unitAddr;
	}
	public void setUnitAddr(String unitAddr) {
		this.unitAddr = unitAddr;
	}
	public String getUnitTel() {
		return unitTel;
	}
	public void setUnitTel(String unitTel) {
		this.unitTel = unitTel;
	}
	public String getProfession() {
		return profession;
	}
	public void setProfession(String profession) {
		this.profession = profession;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getQq() {
		return qq;
	}
	public void setQq(String qq) {
		this.qq = qq;
	}
	
	public Integer getDonateBloodCount() {
		return donateBloodCount;
	}
	public void setDonateBloodCount(Integer donateBloodCount) {
		this.donateBloodCount = donateBloodCount;
	}
	public String getBloodType() {
		return bloodType;
	}
	public void setBloodType(String bloodType) {
		this.bloodType = bloodType;
	}
	public Integer getHeight() {
		return height;
	}
	public void setHeight(Integer height) {
		this.height = height;
	}
	public Integer getWeight() {
		return weight;
	}
	public void setWeight(Integer weight) {
		this.weight = weight;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getPwd() {
		return pwd;
	}
	public void setPwd(String pwd) {
		this.pwd = pwd;
	}
	public String getRole() {
		return role;
	}
	public void setRole(String role) {
		this.role = role;
	}
	public Boolean getChangePassword() {
		return changePassword;
	}
	public void setChangePassword(Boolean changePassword) {
		this.changePassword = changePassword;
	}
	public String getSearchStr() {
		return searchStr;
	}
	public void setSearchStr(String searchStr) {
		this.searchStr = searchStr;
	}
	public String getOrder() {
		return order;
	}
	public void setOrder(String order) {
		this.order = order;
	}
	public String getSort() {
		return sort;
	}
	public void setSort(String sort) {
		this.sort = sort;
	}
	public String getOldpwd() {
		return oldpwd;
	}
	public void setOldpwd(String oldpwd) {
		this.oldpwd = oldpwd;
	}
	public String getBirthday() {
		return birthday;
	}
	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}
	public String getWeixin() {
		return weixin;
	}
	public void setWeixin(String weixin) {
		this.weixin = weixin;
	}
	public String getOpenid() {
		return openid;
	}
	public void setOpenid(String openid) {
		this.openid = openid;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getContactsName1() {
		return contactsName1;
	}
	public void setContactsName1(String contactsName1) {
		this.contactsName1 = contactsName1;
	}
	public String getContactsQQ1() {
		return contactsQQ1;
	}
	public void setContactsQQ1(String contactsQQ1) {
		this.contactsQQ1 = contactsQQ1;
	}
	public String getContactsRelation1() {
		return contactsRelation1;
	}
	public void setContactsRelation1(String contactsRelation1) {
		this.contactsRelation1 = contactsRelation1;
	}
	public String getContactsWeixin1() {
		return contactsWeixin1;
	}
	public void setContactsWeixin1(String contactsWeixin1) {
		this.contactsWeixin1 = contactsWeixin1;
	}
	public String getContactsMobile1() {
		return contactsMobile1;
	}
	public void setContactsMobile1(String contactsMobile1) {
		this.contactsMobile1 = contactsMobile1;
	}
	public String getContactsAddr1() {
		return contactsAddr1;
	}
	public void setContactsAddr1(String contactsAddr1) {
		this.contactsAddr1 = contactsAddr1;
	}
	public String getContactsName2() {
		return contactsName2;
	}
	public void setContactsName2(String contactsName2) {
		this.contactsName2 = contactsName2;
	}
	public String getContactsQQ2() {
		return contactsQQ2;
	}
	public void setContactsQQ2(String contactsQQ2) {
		this.contactsQQ2 = contactsQQ2;
	}
	public String getContactsRelation2() {
		return contactsRelation2;
	}
	public void setContactsRelation2(String contactsRelation2) {
		this.contactsRelation2 = contactsRelation2;
	}
	public String getContactsWeixin2() {
		return contactsWeixin2;
	}
	public void setContactsWeixin2(String contactsWeixin2) {
		this.contactsWeixin2 = contactsWeixin2;
	}
	public String getContactsMobile2() {
		return contactsMobile2;
	}
	public void setContactsMobile2(String contactsMobile2) {
		this.contactsMobile2 = contactsMobile2;
	}
	public String getContactsAddr2() {
		return contactsAddr2;
	}
	public void setContactsAddr2(String contactsAddr2) {
		this.contactsAddr2 = contactsAddr2;
	}
	public String getUserCode() {
		return userCode;
	}
	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

    
    
    
	
}
